Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2003-0767

CVE information

Published

18 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Buffer overflow in RogerWilco graphical server 1.4.1.6 and earlier, dedicated server 0.32a and earlier for Windows, and 0.27 and earlier for Linux and BSD, allows remote attackers to cause a denial of service and execute arbitrary code via a client request with a large length value..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:gamespy:roger_wilco_dedicated_server:0.30a:*:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.3:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.2:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.5:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.4:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_dedicated_server:0.29:*:*:*:*:
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_dedicated_server:0.28:*:*:*:*:
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.1:*:*:*
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_dedicated_server:0.27:*:*:*:*:
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_dedicated_server:0.26:*:*:*:*:
  Yes
- -
cpe:2.3:a:gamespy:roger_wilco_graphical_server:1.4.1.6:*:*:*
  Yes
- -